import s from "clsx";
import { jsx as i, jsxs as y, Fragment as A } from "react/jsx-runtime";
import T, { useContext as p } from "react";
/*!
  @versini/ui-table v3.0.13
  © 2025 gizmette.com
*/
try {
  window.__VERSINI_UI_TABLE__ || (window.__VERSINI_UI_TABLE__ = {
    version: "3.0.13",
    buildTime: "01/19/2025 01:35 PM EST",
    homepage: "https://github.com/aversini/ui-components",
    license: "MIT"
  });
} catch {
}
const _ = "thead", C = "tfoot", u = "tbody", f = {
  ASC: "asc",
  DESC: "desc"
}, W = ({
  mode: e,
  className: a,
  wrapperClassName: t,
  stickyHeader: r,
  stickyFooter: o
}) => ({
  wrapper: s(
    "not-prose relative w-full rounded-lg shadow-md",
    {
      "overflow-x-auto": !r && !o,
      "overflow-y-scroll": r || o,
      "bg-surface-darker": e === "dark" || e === "system",
      "bg-surface-light": e === "light" || e === "alt-system",
      "dark:bg-surface-light": e === "system",
      "dark:bg-surface-darker": e === "alt-system",
      "text-copy-light": e === "dark",
      "text-copy-dark": e === "light",
      "text-copy-light dark:text-copy-dark": e === "system",
      "text-copy-dark dark:text-copy-light": e === "alt-system"
    },
    t
  ),
  table: s("my-0 w-full text-left text-sm", a, {
    "text-copy-light": e === "dark",
    "text-copy-dark": e === "light",
    "text-copy-light dark:text-copy-dark": e === "system",
    "text-copy-dark dark:text-copy-light": e === "alt-system"
  }),
  caption: s("py-2 text-sm font-bold", {
    "text-copy-light": e === "dark",
    "text-copy-dark": e === "light",
    "text-copy-light dark:text-copy-dark": e === "system",
    "text-copy-dark dark:text-copy-light": e === "alt-system"
  })
}), D = ({
  className: e,
  stickyHeader: a,
  mode: t
}) => s(
  {
    "sticky top-0 z-10": a,
    "shadow-[rgb(190_190_190_/20%)_0_0.5rem_1rem]": a && t === "dark",
    "shadow-[rgb(190_190_190_/20%)_0_0.5rem_1rem] dark:shadow-[rgb(65_65_65_/30%)_0_0.5rem_1rem]": a && t === "system",
    "shadow-[rgb(65_65_65_/30%)_0_0.5rem_1rem]": a && t === "light",
    "shadow-[rgb(65_65_65_/30%)_0_0.5rem_1rem] dark:shadow-[rgb(190_190_190_/20%)_0_0.5rem_1rem]": a && t === "alt-system"
  },
  e
), H = ({
  className: e,
  stickyFooter: a,
  mode: t
}) => s(
  {
    "sticky bottom-0 z-10": a,
    "shadow-[rgb(190_190_190_/20%)_0_-0.5rem_1rem]": a && t === "dark",
    "shadow-[rgb(190_190_190_/20%)_0_-0.5rem_1rem] dark:shadow-[rgb(65_65_65_/30%)_0_-0.5rem_1rem]": a && t === "system",
    "shadow-[rgb(65_65_65_/30%)_0_-0.5rem_1rem]": a && t === "light",
    "shadow-[rgb(65_65_65_/30%)_-0_0.5rem_1rem] dark:shadow-[rgb(190_190_190_/20%)_0_-0.5rem_1rem]": a && t === "alt-system"
  },
  e
), $ = ({
  mode: e,
  className: a,
  cellWrapper: t
}) => t === _ || t === C ? s(
  {
    "bg-table-head-dark": e === "dark" || e === "system",
    "bg-table-head-light": e === "light" || e === "alt-system",
    "dark:bg-table-head-light": e === "system",
    "dark:bg-table-head-dark": e === "alt-system"
  },
  a
) : s(
  "border-b last:border-0",
  {
    "border-table-dark": e === "dark" || e === "system",
    "odd:bg-table-dark-odd even:bg-table-dark-even": t === u && e === "dark",
    "border-table-light": e === "light" || e === "alt-system",
    "odd:bg-table-light-odd even:bg-table-light-even": t === u && e === "light",
    "dark:border-table-light": e === "system",
    "odd:bg-table-dark-odd even:bg-table-dark-even dark:odd:bg-table-light-odd dark:even:bg-table-light-even": t === u && e === "system",
    "dark:border-table-dark": e === "alt-system",
    "odd:bg-table-light-odd even:bg-table-light-even dark:odd:bg-table-dark-odd dark:even:bg-table-dark-even": t === u && e === "alt-system"
  },
  a
), F = ({
  cellWrapper: e,
  className: a,
  compact: t,
  mode: r,
  align: o
}) => ({
  alignClasses: s({
    "flex justify-start text-left": o === "left",
    "flex justify-center text-center": o === "center",
    "flex justify-end text-right": o === "right"
  }),
  mainClasses: s(
    {
      "text-copy-light": r === "dark" || r === "system",
      "text-copy-dark": r === "light" || r === "alt-system",
      "dark:text-copy-dark": r === "system",
      "dark:text-copy-light": r === "alt-system",
      "px-4 py-3": !t && (e === _ || e === C),
      "p-4": !t && e === u,
      "px-2 py-1.5": t
    },
    a
  )
}), G = ({
  buttonClassName: e
}) => s("rounded-none text-sm", e), I = "av-button", B = "icon", E = "button", N = "link", Y = ({
  type: e,
  size: a,
  labelRight: t,
  labelLeft: r,
  align: o
}) => {
  const l = "max-h-8 py-0 px-2", c = "max-h-9 h-8 px-3", d = "max-h-12 py-2 px-4";
  switch (e) {
    case E:
    case N:
      return s({
        [l]: a === "small",
        [c]: a === "medium",
        [d]: a === "large"
      });
    case B:
      return s("inline-flex items-center", {
        "justify-center": o === "center",
        "justify-start": o === "left",
        "justify-end": o === "right",
        "h-6 w-6 p-0": a === "small" && !(t || r),
        "h-6 px-2": a === "small" && (t || r),
        "h-8 w-8 p-1": a === "medium" && !(t || r),
        "h-8 px-3": a === "medium" && (t || r),
        "h-12 w-12 p-2": a === "large" && !(t || r),
        "h-12 px-4": a === "large" && (t || r)
      });
  }
}, q = ({
  type: e,
  size: a,
  labelRight: t,
  labelLeft: r
}) => {
  const o = "text-sm font-medium", l = "text-base font-medium", c = "text-lg font-medium";
  switch (e) {
    case E:
    case N:
      return s({
        "text-center": e === N,
        [o]: a === "small",
        [l]: a === "medium",
        [c]: a === "large"
      });
    case B:
      return s({
        [o]: a === "small" && (t || r),
        [l]: a === "medium" && (t || r),
        [c]: a === "large" && (t || r)
      });
  }
}, J = ({
  mode: e,
  noBackground: a,
  noTruncate: t,
  variant: r
}) => {
  if (a)
    return "not-prose";
  if (r === "primary")
    return s("not-prose", {
      truncate: !t,
      "text-copy-light": e === "dark" || e === "system",
      "text-copy-lighter": e === "light" || e === "alt-system",
      "dark:text-copy-lighter": e === "system",
      "dark:text-copy-light": e === "alt-system"
    });
  if (r === "secondary")
    return s("not-prose", {
      truncate: !t,
      "text-copy-light": e === "light" || e === "system",
      "text-copy-lighter": e === "dark" || e === "alt-system",
      "dark:text-copy-lighter": e === "alt-system",
      "dark:text-copy-light": e === "system"
    });
  if (r === "danger")
    return s("not-prose", {
      truncate: !t,
      "text-copy-light": e === "dark" || e === "system",
      "text-copy-lighter": e === "light" || e === "alt-system",
      "dark:text-copy-lighter": e === "system",
      "dark:text-copy-light": e === "alt-system"
    });
  if (r === "selected")
    return s("not-prose text-copy-lighter", {
      truncate: !t
    });
}, K = ({
  mode: e,
  noBackground: a,
  variant: t
}) => {
  if (!a) {
    if (t === "primary")
      return s({
        "bg-action-dark": e === "dark",
        "bg-action-light": e === "light",
        "bg-action-dark dark:bg-action-light": e === "system",
        "bg-action-light dark:bg-action-dark": e === "alt-system"
      });
    if (t === "secondary")
      return s({
        "bg-action-dark": e === "light",
        "bg-action-light": e === "dark",
        "bg-action-dark dark:bg-action-light": e === "alt-system",
        "bg-action-light dark:bg-action-dark": e === "system"
      });
    if (t === "danger")
      return s({
        "bg-action-danger-dark": e === "dark",
        "bg-action-danger-light": e === "light",
        "bg-action-danger-dark dark:bg-action-danger-light": e === "system",
        "bg-action-danger-light dark:bg-action-danger-dark": e === "alt-system"
      });
    if (t === "selected")
      return "bg-action-selected-dark";
  }
}, Q = ({
  radius: e
}) => s({
  "rounded-full": e === "large",
  "rounded-md": e === "medium",
  "rounded-sm": e === "small"
}), X = ({
  mode: e,
  disabled: a,
  variant: t
}) => {
  if (a)
    return "";
  if (t === "primary")
    return s("hover:text-copy-light-hover", {
      "hover:bg-action-dark-hover": e === "dark",
      "hover:bg-action-light-hover": e === "light",
      "hover:bg-action-dark-hover dark:hover:bg-action-light-hover": e === "system",
      "hover:bg-action-light-hover dark:hover:bg-action-dark-hover": e === "alt-system"
    });
  if (t === "secondary")
    return s("hover:text-copy-light-hover", {
      "hover:bg-action-dark-hover": e === "light",
      "hover:bg-action-light-hover": e === "dark",
      "hover:bg-action-dark-hover dark:hover:bg-action-light-hover": e === "alt-system",
      "hover:bg-action-light-hover dark:hover:bg-action-dark-hover": e === "system"
    });
  if (t === "danger")
    return s("hover:text-copy-light-hover", {
      "hover:bg-action-danger-dark-hover": e === "dark",
      "hover:bg-action-danger-light-hover": e === "light",
      "hover:bg-action-danger-dark-hover dark:hover:bg-action-danger-light-hover": e === "system",
      "hover:bg-action-danger-light-hover dark:hover:bg-action-danger-dark-hover": e === "alt-system"
    });
  if (t === "selected")
    return "hover:text-copy-light-hover hover:bg-action-selected-dark-hover";
}, Z = ({
  mode: e,
  disabled: a,
  variant: t
}) => {
  if (a)
    return "";
  if (t === "primary")
    return s("active:text-copy-light-active", {
      "active:bg-action-dark-active": e === "dark",
      "active:bg-action-light-active": e === "light",
      "active:bg-action-dark-active dark:active:bg-action-light-active": e === "system",
      "active:bg-action-light-active dark:active:bg-action-dark-active": e === "alt-system"
    });
  if (t === "secondary")
    return s("active:text-copy-light-active", {
      "active:bg-action-dark-active": e === "light",
      "active:bg-action-light-active": e === "dark",
      "active:bg-action-dark-active dark:active:bg-action-light-active": e === "alt-system",
      "active:bg-action-light-active dark:active:bg-action-dark-active": e === "system"
    });
  if (t === "danger")
    return s("active:text-copy-lighter-active", {
      "active:bg-action-danger-dark-active": e === "dark",
      "active:bg-action-danger-light-active": e === "light",
      "active:bg-action-danger-dark-active dark:active:bg-action-danger-light-active": e === "system",
      "active:bg-action-danger-light-active dark:active:bg-action-danger-dark-active": e === "alt-system"
    });
  if (t === "selected")
    return "active:text-copy-lighter-active active:bg-action-selected-dark-active";
}, ee = ({
  mode: e,
  noBorder: a,
  variant: t
}) => {
  if (a)
    return "border border-transparent";
  if (t === "primary")
    return s("border", {
      "border-border-dark": e === "dark",
      "border-border-accent": e === "light",
      "border-border-dark dark:border-border-accent": e === "system",
      "border-border-accent dark:border-border-dark": e === "alt-system"
    });
  if (t === "secondary")
    return s("border", {
      "border-border-dark": e === "light",
      "border-border-accent": e === "dark",
      "border-border-dark dark:border-border-accent": e === "alt-system",
      "border-border-accent dark:border-border-dark": e === "system"
    });
  if (t === "danger")
    return s("border", {
      "border-border-danger-dark": e === "dark",
      "border-border-danger-medium": e === "light",
      "border-border-danger-dark dark:border-border-danger-medium": e === "system",
      "border-border-danger-medium dark:border-border-danger-dark": e === "alt-system"
    });
  if (t === "selected")
    return "border border-border-selected-dark";
}, te = ({
  focusMode: e
}) => s("focus:outline", "focus:outline-2", "focus:outline-offset-2", {
  "focus:outline-focus-dark": e === "dark",
  "focus:outline-focus-light": e === "light",
  "focus:outline-focus-light dark:focus:outline-focus-dark": e === "alt-system",
  "focus:outline-focus-dark dark:focus:outline-focus-light": e === "system"
}), ae = ({
  type: e,
  className: a,
  raw: t,
  mode: r,
  focusMode: o,
  disabled: l,
  fullWidth: c,
  size: d,
  noBorder: n,
  labelRight: g,
  labelLeft: b,
  noBackground: m,
  variant: h,
  noTruncate: v,
  align: x,
  radius: w
}) => (h || (h = "primary"), t ? s(I, a) : s(
  I,
  J({
    mode: r,
    variant: h,
    noBackground: m,
    noTruncate: v
  }),
  K({ mode: r, noBackground: m, variant: h }),
  Q({ radius: w }),
  Y({
    type: e,
    size: d,
    labelRight: g,
    labelLeft: b,
    align: x
  }),
  q({ type: e, size: d, labelRight: g, labelLeft: b }),
  ee({ mode: r, variant: h, noBorder: n }),
  te({ focusMode: o }),
  X({ mode: r, variant: h, disabled: l }),
  Z({ mode: r, variant: h, disabled: l }),
  {
    "w-full": c,
    "disabled:cursor-not-allowed disabled:opacity-50": l
  },
  a
)), re = (e, a, t) => {
  var r;
  !a && (!document.activeElement || document.activeElement !== e.currentTarget) && typeof ((r = e == null ? void 0 : e.currentTarget) == null ? void 0 : r.focus) == "function" && e.currentTarget.focus(), typeof t == "function" && t(e);
}, R = T.forwardRef((e, a) => {
  const { onClick: t, noInternalClick: r = !1, ...o } = e;
  return /* @__PURE__ */ i(
    "button",
    {
      ref: a,
      onClick: (l) => {
        re(l, r, t);
      },
      ...o
    }
  );
});
R.displayName = "BaseButton";
/*!
  @versini/ui-button v4.1.1
  © 2025 gizmette.com
*/
try {
  window.__VERSINI_UI_BUTTON__ || (window.__VERSINI_UI_BUTTON__ = {
    version: "4.1.1",
    buildTime: "01/19/2025 01:35 PM EST",
    homepage: "https://github.com/aversini/ui-components",
    license: "MIT"
  });
} catch {
}
const z = T.forwardRef(
  ({
    children: e,
    disabled: a = !1,
    mode: t = "system",
    focusMode: r = "system",
    fullWidth: o = !1,
    className: l,
    type: c = "button",
    raw: d = !1,
    noBorder: n = !1,
    "aria-label": g,
    label: b,
    size: m = "medium",
    labelRight: h,
    labelLeft: v,
    noBackground: x = !1,
    align: w = "center",
    active: V = !1,
    radius: M = "large",
    ...L
  }, U) => {
    const O = ae({
      type: B,
      mode: t,
      focusMode: r,
      fullWidth: o,
      disabled: a,
      raw: d,
      className: l,
      noBorder: n,
      size: m,
      labelRight: h,
      labelLeft: v,
      noBackground: x,
      align: w,
      radius: M
    }), P = s({
      "text-copy-accent-dark": t === "light" && !d,
      "text-copy-light": t === "dark" && !d,
      "text-copy-accent-dark dark:text-copy-light": t === "alt-system" && !d,
      "text-copy-light dark:text-copy-accent-dark": t === "system" && !d
    }), j = V ? s(
      "relative",
      "focus-within:static",
      "focus-within:after:border-transparent",
      "after:absolute",
      "after:content-['']",
      "after:border-b-2",
      "after:bottom-[-4px]",
      "after:left-0",
      "after:right-0",
      {
        "after:border-table-dark": t === "dark",
        "after:border-table-light": t === "light",
        "after:border-table-dark dark:after:border-table-light": t === "system",
        "after:border-table-light dark:after:border-table-dark": t === "alt-system"
      }
    ) : "";
    return /* @__PURE__ */ i("div", { className: j, children: /* @__PURE__ */ y(
      R,
      {
        ref: U,
        className: O,
        disabled: a,
        type: c,
        "aria-label": g || b,
        ...L,
        children: [
          v && /* @__PURE__ */ i("span", { className: "pr-2", children: v }),
          /* @__PURE__ */ i("div", { className: P, children: e }),
          h && /* @__PURE__ */ i("span", { className: "pl-2", children: h })
        ]
      }
    ) });
  }
);
z.displayName = "ButtonSort";
const S = ({
  children: e,
  fill: a,
  viewBox: t,
  className: r,
  defaultViewBox: o,
  size: l,
  title: c,
  semantic: d = !1,
  ...n
}) => {
  const g = s(l, r);
  return /* @__PURE__ */ y(A, { children: [
    /* @__PURE__ */ i(
      "svg",
      {
        xmlns: "http://www.w3.org/2000/svg",
        className: g,
        viewBox: t || o,
        fill: a || "currentColor",
        role: "img",
        "aria-hidden": !d,
        focusable: !1,
        ...n,
        children: e
      }
    ),
    c && d && /* @__PURE__ */ i("span", { className: "sr-only", children: c })
  ] });
};
/*!
  @versini/ui-svgicon v4.0.5
  © 2025 gizmette.com
*/
try {
  window.__VERSINI_UI_SVGICON__ || (window.__VERSINI_UI_SVGICON__ = {
    version: "4.0.5",
    buildTime: "01/19/2025 01:35 PM EST",
    homepage: "https://github.com/aversini/ui-components",
    license: "MIT"
  });
} catch {
}
const oe = ({
  className: e,
  viewBox: a,
  title: t,
  monotone: r,
  ...o
}) => /* @__PURE__ */ y(
  S,
  {
    defaultViewBox: "0 0 576 512",
    size: "size-5",
    viewBox: a,
    className: e,
    title: t || "Sort",
    ...o,
    children: [
      /* @__PURE__ */ i(
        "path",
        {
          d: "M297.4 137.4c-12.5 12.5-12.5 32.8 0 45.3s32.8 12.5 45.3 0l41.3-41.4V448c0 17.7 14.3 32 32 32s32-14.3 32-32V141.3l41.4 41.4c12.5 12.5 32.8 12.5 45.3 0 6.2-6.2 9.4-14.4 9.4-22.6s-3.1-16.4-9.4-22.6l-96-96c-6.3-6.4-14.5-9.5-22.7-9.5s-16.4 3.1-22.6 9.4z",
          opacity: r ? "1" : "0.4"
        }
      ),
      /* @__PURE__ */ i("path", { d: "M137.4 470.6c12.5 12.5 32.8 12.5 45.3 0l96-96c12.5-12.5 12.5-32.8 0-45.3s-32.8-12.5-45.3 0L192 370.7V64c0-17.7-14.3-32-32-32s-32 14.3-32 32v306.7l-41.4-41.3c-12.5-12.5-32.8-12.5-45.3 0s-12.5 32.8 0 45.3l96 96z" })
    ]
  }
), se = ({
  className: e,
  viewBox: a,
  title: t,
  monotone: r,
  ...o
}) => /* @__PURE__ */ y(
  S,
  {
    defaultViewBox: "0 0 576 512",
    size: "size-5",
    viewBox: a,
    className: e,
    title: t || "Sort Down",
    ...o,
    children: [
      /* @__PURE__ */ i(
        "path",
        {
          d: "M288 64c0-17.7 14.3-32 32-32h224c17.7 0 32 14.3 32 32s-14.3 32-32 32H320c-17.7 0-32-14.3-32-32m0 128c0-17.7 14.3-32 32-32h160c17.7 0 32 14.3 32 32s-14.3 32-32 32H320c-17.7 0-32-14.3-32-32m0 128c0-17.7 14.3-32 32-32h96c17.7 0 32 14.3 32 32s-14.3 32-32 32h-96c-17.7 0-32-14.3-32-32m0 128c0-17.7 14.3-32 32-32h32c17.7 0 32 14.3 32 32s-14.3 32-32 32h-32c-17.7 0-32-14.3-32-32",
          opacity: r ? "1" : "0.4"
        }
      ),
      /* @__PURE__ */ i("path", { d: "M128 480c9 0 17.5-3.8 23.6-10.4l88-96c11.9-13 11.1-33.3-2-45.2s-33.3-11.1-45.2 2L160 365.7V64c0-17.7-14.3-32-32-32S96 46.3 96 64v301.7l-32.4-35.3c-11.9-13-32.2-13.9-45.2-2s-13.9 32.2-2 45.2l88 96c6.1 6.6 14.6 10.4 23.6 10.4" })
    ]
  }
), ie = ({
  className: e,
  viewBox: a,
  title: t,
  monotone: r,
  ...o
}) => /* @__PURE__ */ y(
  S,
  {
    defaultViewBox: "0 0 576 512",
    size: "size-5",
    viewBox: a,
    className: e,
    title: t || "Sort Up",
    ...o,
    children: [
      /* @__PURE__ */ i(
        "path",
        {
          d: "M288 64c0-17.7 14.3-32 32-32h32c17.7 0 32 14.3 32 32s-14.3 32-32 32h-32c-17.7 0-32-14.3-32-32m0 128c0-17.7 14.3-32 32-32h96c17.7 0 32 14.3 32 32s-14.3 32-32 32h-96c-17.7 0-32-14.3-32-32m0 128c0-17.7 14.3-32 32-32h160c17.7 0 32 14.3 32 32s-14.3 32-32 32H320c-17.7 0-32-14.3-32-32m0 128c0-17.7 14.3-32 32-32h224c17.7 0 32 14.3 32 32s-14.3 32-32 32H320c-17.7 0-32-14.3-32-32",
          opacity: r ? "1" : "0.4"
        }
      ),
      /* @__PURE__ */ i("path", { d: "M128 32c9 0 17.5 3.8 23.6 10.4l88 96c11.9 13 11.1 33.3-2 45.2s-33.3 11.1-45.2-2L160 146.3V448c0 17.7-14.3 32-32 32s-32-14.3-32-32V146.3l-32.4 35.3c-11.9 13-32.2 13.9-45.2 2s-13.9-32.2-2-45.2l88-96C110.5 35.8 119 32 128 32" })
    ]
  }
);
/*!
  @versini/ui-icons v4.5.0
  © 2025 gizmette.com
*/
try {
  window.__VERSINI_UI_ICONS__ || (window.__VERSINI_UI_ICONS__ = {
    version: "4.5.0",
    buildTime: "01/19/2025 01:35 PM EST",
    homepage: "https://github.com/aversini/ui-components",
    license: "MIT"
  });
} catch {
}
const k = T.createContext({
  mode: "light",
  cellWrapper: "thead",
  stickyHeader: !1,
  stickyFooter: !1,
  compact: !1
}), ge = ({
  children: e,
  mode: a = "system",
  caption: t,
  compact: r,
  summary: o,
  className: l,
  wrapperClassName: c,
  maxHeight: d,
  stickyHeader: n,
  stickyFooter: g,
  ...b
}) => {
  const m = W({
    mode: a,
    className: l,
    wrapperClassName: c,
    stickyHeader: n,
    stickyFooter: g
  });
  return /* @__PURE__ */ i(
    k.Provider,
    {
      value: { mode: a, stickyHeader: n, stickyFooter: g, compact: r },
      children: /* @__PURE__ */ i(
        "div",
        {
          className: m.wrapper,
          ...d && {
            style: { maxHeight: d }
          },
          children: /* @__PURE__ */ y("table", { className: m.table, summary: o, ...b, children: [
            t && /* @__PURE__ */ i("caption", { className: m.caption, children: t }),
            e
          ] })
        }
      )
    }
  );
}, he = ({
  children: e,
  className: a,
  ...t
}) => {
  const r = p(k);
  r.cellWrapper = _;
  const o = D({
    className: a,
    mode: r.mode,
    stickyHeader: r.stickyHeader
  });
  return /* @__PURE__ */ i("thead", { className: o, ...t, children: e });
}, be = ({
  children: e,
  className: a,
  ...t
}) => {
  const r = p(k);
  r.cellWrapper = C;
  const o = H({
    className: a,
    mode: r.mode,
    stickyFooter: r.stickyFooter
  });
  return /* @__PURE__ */ i("tfoot", { className: o, ...t, children: e });
}, me = ({ children: e, ...a }) => {
  const t = p(k);
  return t.cellWrapper = u, /* @__PURE__ */ i("tbody", { ...a, children: e });
}, ue = ({
  children: e,
  className: a,
  ...t
}) => {
  const r = p(k), o = $({
    mode: r.mode,
    cellWrapper: r.cellWrapper,
    className: a
  });
  return /* @__PURE__ */ i("tr", { className: o, ...t, children: e });
}, le = ({
  children: e,
  component: a,
  className: t,
  align: r,
  ...o
}) => {
  const l = p(k), c = a || (l.cellWrapper === _ ? "th" : "td"), { mainClasses: d, alignClasses: n } = F({
    cellWrapper: l.cellWrapper,
    className: t,
    mode: l.mode,
    compact: l.compact,
    align: r
  });
  return r ? /* @__PURE__ */ i(c, { className: d, ...o, children: /* @__PURE__ */ i("div", { className: n, children: e }) }) : /* @__PURE__ */ i(c, { className: d, ...o, children: e });
}, ye = ({
  align: e,
  children: a,
  buttonClassName: t,
  className: r,
  component: o,
  focusMode: l = "alt-system",
  mode: c = "alt-system",
  onClick: d,
  sortDirection: n,
  sortedCell: g,
  cellId: b,
  ...m
}) => {
  const h = G({ buttonClassName: t });
  return /* @__PURE__ */ i(
    le,
    {
      component: o,
      className: r,
      role: "columnheader",
      "aria-sort": n === f.ASC && g === b ? "ascending" : n === f.DESC && g === b ? "descending" : "other",
      ...m,
      children: /* @__PURE__ */ i(
        z,
        {
          active: g === b,
          className: h,
          onClick: d,
          align: e,
          noBorder: !0,
          focusMode: l,
          mode: c,
          fullWidth: !0,
          labelRight: a,
          children: n === f.ASC && g === b ? /* @__PURE__ */ i(ie, { className: "size-4", monotone: !0 }) : n === f.DESC && g === b ? /* @__PURE__ */ i(se, { className: "size-4", monotone: !0 }) : /* @__PURE__ */ i(oe, { className: "size-4", monotone: !0 })
        }
      )
    }
  );
};
export {
  ge as Table,
  me as TableBody,
  le as TableCell,
  ye as TableCellSort,
  f as TableCellSortDirections,
  be as TableFooter,
  he as TableHead,
  ue as TableRow
};
